Description

der Slash in [Fig./1] steht nicht in den Daten, wo kommt der her?

Fig .1 ist in den Daten als "idInSource": "1", mit "idNamespace": "Fig." eingegeben. Bisher wird die idInSource immer mit einem
Slash an den Namespace angehangt. Das ist offensichlich keine allgemein funktionierende Herangehensweise.

http://portal.cybertaxonomy.org/salvador/cdm_dataportal/media/fb52d954-84b-450a-a57¢-308f8a35a223

Related issues:
Copied to EDIT - bug #6982: OriginalSource idNamespace + idInSource separator... New

Associated revisions

Revision 05¢57463 - 09/25/2017 12:12 PM - Andreas Kohlbecker

ref #6815 using space as separator for idNamespace + idInSource

History

#1 - 07/17/2017 06:02 PM - Andreas Miiller

ja, dazu was im Namespace und was direkt in IdInSource landet gibt es ja keine feste Regel. Ich schiebe haufig die statischen Anteile in Namespace
und das andere in die IdInSource.

Insofern macht es evtl. Sinn, den Separator konfigurierbar zu machen. Allerdings auch nur so lange, so lange dass dann fir alle Quellen funktioniert.
Statt einem Slash einfach ein Leerzeichen zu verwenden sollte aber auch sehr haufig funktionieren. Vielleicht als default sogar besser als ein Slash.

#2 - 07/17/2017 06:20 PM - Andreas Miiller

- Subject changed from IdentifiableSource idNamespace + idInSource for Figures must not be joined with a glue character to OriginalSource
idNamespace + idInSource separator must be configurable

#3 - 07/17/2017 06:21 PM - Andreas Miller

- Tracker changed from bug to feature request

#4 - 07/21/2017 10:28 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#5 - 09/24/2017 04:01 PM - Andreas Miller

Andreas Muller wrote:

Statt einem Slash einfach ein Leerzeichen zu verwenden sollte aber auch sehr haufig funktionieren. Vielleicht als default sogar besser als ein
Slash.

| checked further sources and | still think that a "space" is better as default then a slash

#6 - 09/24/2017 04:02 PM - Andreas Miuller

Can we still implement the new default in 4.10?

#7 - 09/25/2017 10:36 AM - Andreas Kohlbecker
- Status changed from New to Feedback

- Assignee changed from Andreas Kohlbecker to Andreas Miller
#8 - 09/25/2017 12:16 PM - Andreas Kohlbecker
Andreas Muller wrote:
Can we still implement the new default in 4.10?
Ok, | changed the seperator to the space character.
Regarding configurability: A simple default character would not be suffcient. Woul'nt we rather need a rule based approach? A cdm database may
contains quite different identifiers types which need different formatting.

Two basic rules:

1.if idNamespace is a URI the separator is /'
2. otherwise itis "'

#9 - 09/25/2017 12:16 PM - Andreas Kohlbecker

- Status changed from Feedback to Resolved

#10 - 09/25/2017 12:39 PM - Andreas Miiller

- Copied to bug #6982: OriginalSource idNamespace + idInSource separator must be configurable added
#11 - 09/25/2017 12:40 PM - Andreas Miiller

- Subject changed from OriginalSource idNamespace + idInSource separator must be configurable to OriginalSource idNamespace + idInSource
default separator should be whitespace

Created new ticket for the configurability issue: #6982

#12 - 09/25/2017 01:19 PM - Andreas Miiller

| will review this after the release.

#13 - 10/11/2017 12:03 AM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

This seems to work
